curl https://api.onepay.la/v1/invoices?page=1&filter[status]=CREATED&sort=-created_at \
-H "Authorization: Bearer sk_test_xxx"
{
"data": [
{
"id": "2f2b1e5a-1a2b-4c33-8a18-5e9f3b9f4b1a",
"name": "Internet plan - Octubre",
"provider": "biller",
"provider_id": "987654",
"reference": "INV-12345678",
"status": "CREATED",
"remarks": null,
"metadata": {
"key": "value"
}
}
],
"current_page": 1,
"from": 1,
"last_page": 2,
"per_page": 20,
"to": 20,
"total": 21
}
Obtiene un listado paginado de facturas de tu cuenta.
curl https://api.onepay.la/v1/invoices?page=1&filter[status]=CREATED&sort=-created_at \
-H "Authorization: Bearer sk_test_xxx"
{
"data": [
{
"id": "2f2b1e5a-1a2b-4c33-8a18-5e9f3b9f4b1a",
"name": "Internet plan - Octubre",
"provider": "biller",
"provider_id": "987654",
"reference": "INV-12345678",
"status": "CREATED",
"remarks": null,
"metadata": {
"key": "value"
}
}
],
"current_page": 1,
"from": 1,
"last_page": 2,
"per_page": 20,
"to": 20,
"total": 21
}
curl https://api.onepay.la/v1/invoices?page=1&filter[status]=CREATED&sort=-created_at \
-H "Authorization: Bearer sk_test_xxx"
{
"data": [
{
"id": "2f2b1e5a-1a2b-4c33-8a18-5e9f3b9f4b1a",
"name": "Internet plan - Octubre",
"provider": "biller",
"provider_id": "987654",
"reference": "INV-12345678",
"status": "CREATED",
"remarks": null,
"metadata": {
"key": "value"
}
}
],
"current_page": 1,
"from": 1,
"last_page": 2,
"per_page": 20,
"to": 20,
"total": 21
}
Was this page helpful?